[Xquartz-changes] [550] tinderbox/tinderbox_test.sh

source_changes at macosforge.org source_changes at macosforge.org
Mon May 2 23:18:56 PDT 2011


Revision: 550
          http://trac.macosforge.org/projects/xquartz/changeset/550
Author:   jeremyhu at freedesktop.org
Date:     2011-05-02 23:18:55 -0700 (Mon, 02 May 2011)
Log Message:
-----------
Don't die on rmdir's errors

Modified Paths:
--------------
    tinderbox/tinderbox_test.sh

Modified: tinderbox/tinderbox_test.sh
===================================================================
--- tinderbox/tinderbox_test.sh	2011-04-30 23:39:55 UTC (rev 549)
+++ tinderbox/tinderbox_test.sh	2011-05-03 06:18:55 UTC (rev 550)
@@ -79,7 +79,7 @@
     fi
 
     # Remove empty directories
-    rmdir ${JHBUILDDIR}/${ANALYZERSUBDIR}/* >& /dev/null
+    rmdir ${JHBUILDDIR}/${ANALYZERSUBDIR}/* >& /dev/null || true
 
     # Remove analyzer's created subdirectories
     for projdir in ${JHBUILDDIR}/${ANALYZERSUBDIR}/* ; do
@@ -97,7 +97,7 @@
 }
 
 #$JHBUILD clean
-#$JHBUILD build --autogen --clean || true
+#$JHBUILD build --autogen --clean
 #$JHBUILD build --autogen --clean --start-at=xserver
 #$JHBUILD autobuild --autogen --verbose --report-url="${URL}"
 $JHBUILD autobuild --autogen --clean --verbose --report-url="${URL}" || true
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/xquartz-changes/attachments/20110502/28fb8451/attachment.html>


More information about the Xquartz-changes mailing list